<?php
namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;

class SetorPorFilial{
    
  public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function saveSetor($conditions){
	    try{
	        $this->entityManager->getConnection()->beginTransaction();
	        $cdMensagem = $conditions['CDMENSAGEM'];
	        
	        foreach($conditions['rows'] as $row){
	           $params = array(
	               "CDFILIAL"=>$row['CDFILIAL'],
	               "CDSETOR"=>$row['CDSETOR'],
	               "CDMENSAGEM"=>$cdMensagem,
	               "NRORG"=>$row['NRORG']
	           );
	           $this->entityManager->getConnection()->executeQuery(self::INSERT_SETORFILIALMSG,$params);
	        }
	        $this->entityManager->getConnection()->commit();
          return "OK";
	    }catch(\Exception $e){
	        $this->entityManager->getConnection()->rollBack();
	        throw new \Exception($e->getMessage());
	    }
	}
	
	const INSERT_SETORFILIALMSG = "
	    INSERT INTO SETORFILIALMSG (CDFILIAL,CDSETOR,CDMENSAGEM,NRORG) VALUES (:CDFILIAL,:CDSETOR,:CDMENSAGEM,:NRORG)
	";
}